Skip to main content
GET
Reference example

Cost and request rules

Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 0.012
  • Cost contract: fixed_success
  • Settlement evidence source: request_snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

date
string<date>
required

Date in YYYY-MM-DD format

maker_address
string

Maker address to query earnings for

next_cursor
string

Pagination cursor from previous response

signature_type
enum<integer>

Signature type for address derivation (required for API KEY auth):

  • 0: EOA
  • 1: POLY_PROXY
  • 2: POLY_GNOSIS_SAFE
Available options:
0,
1,
2
sponsored
boolean
default:false

If true, returns sponsored-only earnings

Response

Successfully retrieved user earnings

Paginated list of user earnings

limit
integer
required

Maximum number of items per page

count
integer
required

Number of items in the current response

next_cursor
string
required

Cursor for the next page. "LTE=" indicates the last page.

data
object[]
required